package formdef.plugin.example.employee.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.*;
import org.apache.commons.logging.LogFactory;
import org.apache.commons.logging.Log;

import formdef.plugin.example.employee.business.EmployeeHandler;
import formdef.plugin.example.employee.business.Employee;

/**
 * @author Hubert Rabago
 */
public class EmployeeListAction extends Action {

    private static final Log logger =
            LogFactory.getLog(EmployeeListAction.class);

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
            throws Exception {

        Employee[] employees = EmployeeHandler.getInstance().getEmployeeArray();
        logger.trace("employees=" + employees);
        request.setAttribute("employees",employees);

        return mapping.findForward("employees.home");
    }

}
