package formdef.plugin.example.employee.web;

import org.apache.commons.logging.LogFactory;
import org.apache.commons.logging.Log;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.Action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import formdef.plugin.example.employee.business.Employee;
import formdef.plugin.example.employee.business.EmployeeHandler;
import formdef.plugin.util.FormUtils;

public class SaveNewEmployeeAction extends Action {

    private static final Log logger =
            LogFactory.getLog(SaveNewEmployeeAction.class);

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
            throws Exception {

        if (!isCancelled(request)) {
            Employee employee = (Employee)
                    FormUtils.getFormValues(form, this, mapping, request);
            EmployeeHandler.getInstance().createEmployee(employee);
        }

        return mapping.findForward("employee.list.redirect");
    }
}
